<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
  <title>Multitenancy - Home</title>
  <thymeleaf th:replace="~{includes :: meta_script_link}"></thymeleaf>
</head>
<body>

<header th:replace="~{includes :: header(page='')}"></header>

<main class="container">
  <h1 th:if="${tenant != null}">Welcome to <span th:text="${tenant}"></span>!</h1>

  <th:block th:if="${tenant == null}">
    <h1 sec:authorize="hasRole('ADMINISTRATOR')">Welcome almighty administrator!</h1>
    <h1 sec:authorize="!hasRole('ADMINISTRATOR')">What are you doing here!?</h1>
    <h2 sec:authorize="!hasRole('ADMINISTRATOR')">Please sign in or go away...</h2>
  </th:block>
</main>

</body>
</html>
